Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.jcsc.ant
Class BatchResult

    java.lang.Object
      |
      +--rj.tools.jcsc.ant.BatchResult

public class BatchResult
extends java.lang.Object

Collects the data from a class which was parsed in a batch job ie. many classes (usually a whole prjoect) are being parsed. Each parsed class creates a instance of this class for later analysis.

Version:
  $Revision: 1.2 $
Author:
  Ralph Jocham

Constructor Summary
`BatchResult(Violation[] violations, java.lang.String packageName, java.lang.String className, java.lang.String authors, int methodCount, int ncssCount, int unitTestClassCount, int unitTestsCount)`

Method Summary
`java.lang.String` | `getAuthors()` the names of the author(s) working on that class
`java.lang.String` | `getClassName()` the name of the class
`int` | `getHighestSeverityLevel()` level of highest severity found
`int` | `getMethodCount()` the number of methods in taht class
`int` | `getNcssCount()` count of none commenting source statements (ncss)
`java.lang.String` | `getPackageName()` the name of the package of the class
`int` | `getUnitTestClassCount()` number of unit test classes for that class
`int` | `getUnitTestsCount()` number of unit tests for that class
`Violation[]` | `getViolations()` array of violations for that class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchResult

    public BatchResult(Violation[] violations,
                       java.lang.String packageName,
                       java.lang.String className,
                       java.lang.String authors,
                       int methodCount,
                       int ncssCount,
                       int unitTestClassCount,
                       int unitTestsCount)

Method Detail

### getClassName

    public java.lang.String getClassName()

  the name of the class
  Returns:
    class name

### getPackageName

    public java.lang.String getPackageName()

  the name of the package of the class
  Returns:
    package name

### getAuthors

    public java.lang.String getAuthors()

  the names of the author(s) working on that class
  Returns:
    author(s) names

### getMethodCount

    public int getMethodCount()

  the number of methods in taht class
  Returns:
    number of methods

### getNcssCount

    public int getNcssCount()

  count of none commenting source statements (ncss)
  Returns:
    ncss count

### getUnitTestClassCount

    public int getUnitTestClassCount()

  number of unit test classes for that class
  Returns:
    count of unit test classes

### getUnitTestsCount

    public int getUnitTestsCount()

  number of unit tests for that class
  Returns:
    count of unit tests

### getHighestSeverityLevel

    public int getHighestSeverityLevel()

  level of highest severity found
  Returns:
    highest severity level

### getViolations

    public Violation[] getViolations()

  array of violations for that class
  Returns:
    array of Violations
  See Also:
    `Violation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License